> ## Documentation Index
> Fetch the complete documentation index at: https://developers-sandbox.uqpaytech.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Methods

> 返回符合国家、币种、收款实体和账户授权的支付方式。Mastercard Send 要求开通 Mastercard 出款产品并具备支持的付款方/收款方组合。



## OpenAPI

````yaml /zh/global-account/v1.6/banking.yaml get /v1/beneficiaries/paymentmethods
openapi: 3.0.2
info:
  title: Banking API
  version: 0.0.1
  x-source-en-commit: e67a603
  x-source-en-path: global-account/v1.6/banking.yaml
  description: |
    UQPAY Banking API 为全球资金流转提供完整的银行与支付解决方案。

    ## 核心功能
    - 国际支付与转账
    - 多币种账户管理
    - 实时换汇
    - 虚拟账户服务
    - 资金充值与提现

    ## 认证
    调用 UQPAY API 时，使用 API 密钥对客户端请求进行认证。
    API 密钥是用于认证用户身份、授予特权操作访问权限的唯一数据字符串。
    请始终对 API 密钥保密并妥善保管。

    ## 服务组件
    - **Payout**：创建并管理向受益人发起的国际资金转账
    - **Payer**：管理发起付款并授权资金转账的实体
    - **Beneficiary**：管理收款方信息与银行信息
    - **Balance**：查看并管理多币种账户余额
    - **Deposit**：处理入账资金转账
    - **Virtual Accounts**：使用外币本地银行账户
    - **Conversion**：以有竞争力的汇率执行换汇

    ## 快速开始
    1. 获取 API 凭证
    2. 使用 sandbox URL 搭建测试环境
    3. 接入认证
    4. 从基础操作开始

    ## 支持
    如需技术支持与集成协助，请联系 UQPAY 支持团队。
  contact:
    name: UQPAY Support
    url: https://www.uqpay.com/support
    email: banking.tech@uqpay.com
  license:
    name: Proprietary
    url: https://www.uqpay.com/legal/api-terms
  termsOfService: https://www.uqpay.com/legal/terms
  x-api-id: banking-api-v1.6.0
  x-logo:
    url: https://uqpay.com/img/UQPAY_LogoAnimv2.gif
    backgroundColor: '#FFFFFF'
    altText: UQPAY Logo
  x-categories:
    - Banking
    - Payment Processing
    - Foreign Exchange
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox 基础 URL。
  - url: https://api.uqpay.com/api
    description: 生产环境基础 URL。
security: []
tags:
  - name: Balances
    description: 查看并管理账户中不同币种的可用资金。
  - name: Transfers
    description: 钱包转账资源用于将资金从你的 UQPAY 账户直接转入关联账户。
  - name: Deposits
    description: 充值是指向你的 UQPAY 全球收款账户发起的银行转账，用于补充资金或从第三方收款。
  - name: Virtual Accounts
    description: 虚拟账户是以外币形式存在的本地银行账户。它们支持全球收款，提供可从各类平台收款的账户信息。虚拟账户也可用于为 UQPAY 余额充值。
  - name: Payout
    description: >-
      当你向受益人发起付款时会创建一个 Payout
      资源。它记录受益人、银行信息、付款金额、状态及其他相关信息。你可以使用直接填写的受益人信息，或使用先前创建的受益人 ID 来创建 payout。
  - name: Beneficiaries
    description: 受益人是资金的收款方，通常也是最终从 payout 中获益的一方。
  - name: Conversion
    description: 管理交易的换汇与汇率。
  - name: Exchange Rates
    description: 获取指定货币对或全部可用货币对的实时汇率。
  - name: Global Accounts
    description: ⚠️ 警告 此 API 版本已弃用。已弃用的 API 版本最终将不再受支持。全球收款账户是充当本地银行账户的外币账户。
  - name: Simulator
    description: 在 sandbox 环境中模拟充值交易。
paths:
  /v1/beneficiaries/paymentmethods:
    get:
      tags:
        - Beneficiaries
      summary: List Payment Methods
      description: >-
        返回符合国家、币种、收款实体和账户授权的支付方式。Mastercard Send 要求开通 Mastercard
        出款产品并具备支持的付款方/收款方组合。
      operationId: list-payment-methods
      parameters:
        - $ref: '#/components/parameters/XOnBehalfOf'
        - $ref: '#/components/parameters/RequiredCurrency'
        - $ref: '#/components/parameters/RequiredCountryCode'
        - name: entity_type
          in: query
          required: false
          schema:
            type: string
            enum:
              - INDIVIDUAL
              - COMPANY
          description: 收款实体类型。省略时使用本次请求所属账户的法人类型。查询 Mastercard 时建议显式传入。
      responses:
        '200':
          description: OK —— 成功获取支付方式列表。
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              examples:
                sandbox:
                  summary: Sandbox response
                  value:
                    data:
                      - clearing_systems: FAST
                        country: SG
                        currency: SGD
                        payment_method: LOCAL
                        validation_field: []
                      - clearing_systems: GIRO
                        country: SG
                        currency: SGD
                        payment_method: LOCAL
                        validation_field: []
                      - clearing_systems: LOCAL
                        country: SG
                        currency: SGD
                        payment_method: LOCAL
                        validation_field: []
                      - clearing_systems: MEPS
                        country: SG
                        currency: SGD
                        payment_method: LOCAL
                        validation_field: []
                      - clearing_systems: PAYNOW
                        country: SG
                        currency: SGD
                        payment_method: LOCAL
                        validation_field: []
                      - clearing_systems: RTGS
                        country: SG
                        currency: SGD
                        payment_method: LOCAL
                        validation_field: []
                      - clearing_systems: SWIFT
                        country: SG
                        currency: SGD
                        payment_method: SWIFT
                        validation_field: []
                mastercard:
                  summary: Sandbox Mastercard payment methods
                  value:
                    data:
                      - clearing_systems: ACH
                        country: US
                        currency: USD
                        payment_method: LOCAL
                        validation_field: []
                      - clearing_systems: FEDWIRE
                        country: US
                        currency: USD
                        payment_method: LOCAL
                        validation_field: []
                      - clearing_systems: LOCAL
                        country: US
                        currency: USD
                        payment_method: LOCAL
                        validation_field: []
                      - clearing_systems: SWIFT
                        country: US
                        currency: USD
                        payment_method: SWIFT
                        validation_field: []
                      - clearing_systems: MASTERCARD SEND
                        country: US
                        currency: USD
                        payment_method: CARD
                        validation_field:
                          - error_msg_en: >-
                              The account holder name may include invalid
                              characters or is incomplete.
                            error_msg_zh: 可能包含无效字符或不完整
                            label_en: Account holder name
                            label_zh: 账户名
                            path: >-
                              beneficiary.beneficiary_bank_details.account_holder
                            required: true
                            rule:
                              pattern: '^[A-Za-z]+(?: [A-Za-z]+)+$'
                              type: string
                            type: INPUT
                            value: account_holder
                          - error_msg_en: Card number must be 13-19 letters or digits
                            error_msg_zh: 卡号必须是13到19位英文字母或数字
                            label_en: Card number
                            label_zh: 卡号
                            path: >-
                              beneficiary.beneficiary_bank_details.account_number
                            required: true
                            rule:
                              pattern: ^[A-Za-z0-9]{13,19}$
                              type: string
                            type: INPUT
                            value: account_number
                          - error_msg_en: >-
                              Card expiry must be a valid month in YYYY-MM
                              format
                            error_msg_zh: 卡片有效期必须是有效的YYYY-MM月份
                            label_en: Card expiry
                            label_zh: 卡片有效期
                            path: beneficiary.beneficiary_bank_details.card_expiry
                            required: true
                            rule:
                              pattern: ^(?:19|20)[0-9]{2}-(?:0[1-9]|1[0-2])$
                              type: string
                            type: MONTH
                            value: card_expiry
              schema:
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/PaymentMethodResponse'
      security:
        - XAuthToken: []
components:
  parameters:
    XOnBehalfOf:
      in: header
      name: x-on-behalf-of
      schema:
        type: string
      required: false
      description: >
        指定代表哪个子账户发起请求。应设为
        `account_id`，可通过[查询关联账户列表](/zh/account-center/v1.6/api-reference/list-connected-accounts-1)获取。如果省略或留空，请求将使用主账户执行。

        更多信息参见[关联账户](/zh/account-center/v1.6/guide/connected-accounts)。
      example: 18523f72-f4de-4f9c-bb8e-ec7d1c4f32be
    RequiredCurrency:
      name: currency
      description: 受益人的币种。三位字母 [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) 币种代码。
      in: query
      required: true
      schema:
        type: string
        example: USD
    RequiredCountryCode:
      name: country
      in: query
      required: true
      schema:
        type: string
        example: SG
      description: >-
        两位字母国家/地区代码 [ISO 3166-1
        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)。
  headers:
    XResponseId:
      description: 响应的通用唯一标识符（UUID v4）。在与 UQPAY 支持团队沟通时有助于定位某个请求。
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    PaymentMethodResponse:
      type: object
      required:
        - country
        - currency
        - clearing_systems
        - payment_method
      properties:
        country:
          $ref: '#/components/schemas/CountryCode'
        currency:
          $ref: '#/components/schemas/Currency'
        clearing_systems:
          type: string
          description: >-
            返回的清算方式标识。Mastercard Send 返回 MASTERCARD SEND；创建请求使用
            bank_details.clearing_system。
        payment_method:
          $ref: '#/components/schemas/PaymentMethod'
        validation_field:
          $ref: '#/components/schemas/ValidationField'
    CountryCode:
      type: string
      example: SG
      description: >-
        两位字母国家/地区代码 [ISO 3166-1
        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)。
      maxLength: 2
      minLength: 2
    Currency:
      type: string
      example: USD
      description: >-
        受益人银行账户中持有资金的币种。三位字母 [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)
        币种代码。
      maxLength: 3
      minLength: 3
    PaymentMethod:
      type: string
      example: LOCAL
      description: |
        需要指定支付方式，以确保针对该支付方式采集并校验准确的银行信息。

        - `LOCAL`：通过本地清算系统的境内支付网络处理的付款。
        - `SWIFT`：通过 SWIFT 网络处理的跨境国际付款。
        - `CARD`：通过 Mastercard Send 向卡受益人付款。可用性取决于账户授权，以及支付方式查询返回的国家、币种和收款实体配置。
      enum:
        - LOCAL
        - SWIFT
        - CARD
    ValidationField:
      type: array
      description: >-
        所选方式的字段规则。Mastercard 返回规则对象。配置 path 是元数据，不是 Gateway
        请求字段路径：beneficiary.beneficiary_bank_details.card_expiry 对应
        bank_details.card_expiry；内嵌创建时对应 beneficiary.bank_details.card_expiry。
      items:
        oneOf:
          - type: string
            enum:
              - account_number
              - swift_code
              - iban
              - sort_code
              - bank_code
              - branch_code
              - ach
              - aba
              - bsb_code
              - cnaps_number
              - ifsc
            title: Legacy field name
          - $ref: '#/components/schemas/PaymentMethodFieldRule'
            title: Field validation rule
    PaymentMethodFieldRule:
      type: object
      properties:
        value:
          type: string
        type:
          type: string
        required:
          type: boolean
        path:
          type: string
        rule:
          type: object
          additionalProperties: true
          properties:
            pattern:
              type: string
            type:
              type: string
        children:
          type: array
          items:
            $ref: '#/components/schemas/PaymentMethodFieldRule'
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: 由 UQPAY 提供的登录 API Token。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.